Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Funding Rate History

Applicable for querying funding rate history data

Request URL

GET https://cloud-api.wooxpro.com/contract/public/funding-rate-history

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/funding-rate-history?symbol=BTCUSDT&limit=10
FieldTypeRequired?Description
symbolStringYesInstrument name, e.g. BTCUSDT
limitStringNoNumber of results per request. The maximum is 100; The default is 100

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "list": [
      {
        "symbol": "BTCUSDT",
        "funding_rate": "0.000090600584",
        "funding_time": "1733979600000"
      }
    ]
  },
  "trace": "4b588ac6b7cb11ef96b16280797cd561.3819021.39457365988950452"
}
FieldTypeDescription
listlistArray of list details
Description of the list details field:
FieldTypeDescription
symbolStringInstrument name, e.g. BTCUSDT
funding_rateStringActual funding rate
funding_timeStringSettlement time, Unix timestamp format in milliseconds, e.g. 1733738400000